> For the complete documentation index, see [llms.txt](https://docs.bitoftrade.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bitoftrade.com/for-developers/cross-chain-messaging-protocol/quick-start/verify-event.md).

# Verify event

After the event was emitted, the next step is to receive proof of the event. Signer is responsible to create a signature as proof of the event.&#x20;

Create `POST /sign-event` [request](/for-developers/cross-chain-messaging-protocol/how-it-works/signer-service/signer-interface.md) to the Signer.&#x20;

For our example, the request body would be:

```json
{
  "chainId": 1,
  "txHash": "0x9f89aae86d1b69cf63065bfc9f30478b6dc613b4655a857bc115a1275604b88c",
  "abi": {
    "anonymous": false,
    "inputs": [
        {
            "indexed": false,
            "name": "message",
            "type": "string"
        }
    ],
    "name": "MyMessage",
    "type": "event"
  }
}
```

As a result of the request, we receive the following object:

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "chainId": 1,
  "txHash": "0x9f89aae86d1b69cf63065bfc9f30478b6dc613b4655a857bc115a1275604b88c",
  "eventHash": "0x32b5aaa307499c5f926182bcb425d152e9d17e0c38ad46aecfc8b3007005221d",
  "signature": "0xc7067dbae67fe37d68945b4d32d636c02590d4e0da3dcd87616356178afc3d6b048ea054954bce2e5d2d853e379bc4f8fc16f6c0cb68de50cee844407806e09a1b",
  "signer": "0x86f3b7f305f9d02e243a28445a15ecb6eeb12288",
  "params": [
    "MyMessage",
    1,
    "0x1170490264E8c604E0D0861B76768A9e9a300b02",
    "0x9f89aae86d1b69cf63065bfc9f30478b6dc613b4655a857bc115a1275604b88c",
    "Hello World"
  ]
}
</code></pre>

The signature is created, therefore we can move to the last step.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bitoftrade.com/for-developers/cross-chain-messaging-protocol/quick-start/verify-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
